
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ORA-000845 与 /dev/shm(tempfs) / iVAN</title>

    <meta name="description" content="ORA-000845 与 /dev/shm(tempfs)     MEMORY_TARGET参数在Oracle 11g被引进,主要是用于控制Oracle对于系统内存的使用,首次将SGA与PGA整合到一起实现自动管理.一旦设置了MEMORY_TARGET参数值,Oracle会根据需要自动调整SGA与PGA以合理的分配及使用内存.但如果MEMORY_TARGET设置不当,就容易引起ORA-00845,因为MEMORY_TARGET与/dev/shm(tempfs)息息相关,本文即是对由此引发问题的描述.   1.故障现象[oracle@linux1 cat">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ORA-000845 与 /dev/shm(tempfs)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>    MEMORY_TARGET参数在Oracle 11g被引进，主要是用于控制Oracle对于系统内存的使用，首次将SGA与PGA整合到一起实现自动管理。一旦设置了MEMORY_TARGET参数值，Oracle会根据需要自动调整SGA与PGA以合理的分配及使用内存。但如果MEMORY_TARGET设置不当，就容易引起ORA-00845，因为MEMORY_TARGET与/dev/shm(tempfs)息息相关，本文即是对由此引发问题的描述。</p>
<p> </p>
<p>1、故障现象<br />[oracle@linux1 catadb]$ sqlplus / as sysdba</p>
<p>SQL*Plus: Release 11.2.0.1.0 Production on Wed Nov 13 21:38:41 2013</p>
<p>Copyright (c) 1982, 2009, Oracle.  All rights reserved.</p>
<p>Connected to an idle instance.</p>
<p>idle&gt; startup nomount;<br />ORA-00845: MEMORY_TARGET not supported on this system</p>
<p> </p>
<p>2、故障分析<br />[oracle@linux1 trace]$ oerr ora 00845<br />00845, 00000, "MEMORY_TARGET not supported on this system"<br />// *Cause: The MEMORY_TARGET parameter was not supported on this operating system or /dev/shm was not sized correctly on Linux.<br />// *Action: Refer to documentation for a list of supported operating systems. <br />Or, size /dev/shm to be at least the SGA_MAX_SIZE on each Oracle instance running on the system.</p>
<p>#从上面的描述可知，/dev/shm的大小应该至少是当前系统每一个实例的SGA_MAX_SIZE，个人认为这个描述不是很准确</p>
<p>#下面查看告警日志<br />[oracle@linux1 trace]$ more alert_catadb.log  <br />Wed Nov 13 21:38:48 2013<br />Starting ORACLE instance (normal)<br />WARNING: You are trying to use the MEMORY_TARGET feature. This feature requires the /dev/shm file system to be mounted for at least<br />1073741824 bytes. /dev/shm is either not mounted or is mounted with available space less than this size. Please fix this so that <br />MEMORY_TARGET can work as expected. Current available is 901312512 and used is 161312768 bytes. <br />Ensure that the mount point is /dev/shm for this directory. memory_target needs larger /dev/shm</p>
<p>#告警日志给出了比较精确的描述，/dev/shm至少是1GB，因为我们的参数文件中定义的MEMORY_TARGET为1GB<br />#同时也给出了/dev/shm当前已使用的和剩余空间的大小。剩余空间大小901312512不够1GB，因此需要考虑增加dev/shm或减少MEMORY_TARGET的值</p>
<p>#延伸思考<br />/dev/shm实际上就是对应到tmpfs，也可以称之为临时文件系统(不是块设备)。有点类似于Oracle数据库的临时表空间一样啊，用于加速和优化系统。<br />我们可以通过df -h来查看到该加载点，该目录并不位于磁盘，而是在内存里，默认情况下，其大小为当前内存的一半，该文件系统会被自动加载。<br />/dev/shm的分配是按需分配，如我们前面的错误描述，当前分配了1GB，实际使用了154MB，剩余860MB。也就是说这860MB依旧可分配给其他应用程序。<br />使用tmps文件系统有一些优点，可以实现动态文件系统大小，其次是由于驻留内存，可以闪电加速。重启后被清空，也就是相当于闪存。</p>
<p> </p>
<p>#当前系统的/dev/shm<br />[oracle@linux1 trace]$ df -h | grep shm           <br />tmpfs                1014M  154M  860M  16% /dev/shm<br />[oracle@linux1 ~]$ ls -hltr /dev/shm<br />total 154M<br />-rw-r----- 1 grid oinstall 4.0M Nov 14 11:06 ora_+ASM1_2686978_68<br />-rw-r----- 1 grid oinstall 4.0M Nov 14 11:06 ora_+ASM1_2686978_39<br />-rw-r----- 1 grid oinstall 4.0M Nov 14 11:06 ora_+ASM1_2686978_40<br />-rw-r----- 1 grid oinstall 4.0M Nov 14 11:06 ora_+ASM1_2686978_41<br />-rw-r----- 1 grid oinstall 4.0M Nov 14 11:06 ora_+ASM1_2686978_42<br />    ...............<br />-rw-r----- 1 grid oinstall 4.0M Nov 14 11:47 ora_+ASM1_2686978_66<br />-rw-r----- 1 grid oinstall 4.0M Nov 14 11:47 ora_+ASM1_2686978_52<br />-rw-r----- 1 grid oinstall 4.0M Nov 14 11:47 ora_+ASM1_2686978_67   </p>
<p> </p>
<p>3、故障解决<br />从上面的情形可知，我们可以通过增加tempfs文件系统的大小或者是适当减少MEMORY_TARGET的值来解决<br />a、调整参数memory_target<br />[oracle@linux1 ~]$ grep memory $ORACLE_HOME/dbs/initcatadb.ora<br />memory_target=521M<br />[oracle@linux1 ~]$ export ORACLE_SID=catadb<br />[oracle@linux1 ~]$ sqlplus / as sysdba</p>
<p>SQL*Plus: Release 11.2.0.1.0 Production on Thu Nov 14 11:51:57 2013</p>
<p>Copyright (c) 1982, 2009, Oracle.  All rights reserved.</p>
<p>Connected to an idle instance.</p>
<p>idle&gt; startup nomount;<br />ORACLE instance started.</p>
<p>Total System Global Area  548216832 bytes<br />Fixed Size                  1337804 bytes<br />Variable Size             331351604 bytes<br />Database Buffers          209715200 bytes<br />Redo Buffers                5812224 bytes<br />idle&gt; shutdown abort;<br />ORACLE instance shut down.</p>
<p> </p>
<p>b、增加tempfs大小<br />[oracle@linux1 ~]$ grep memory $ORACLE_HOME/dbs/initcatadb.ora<br />memory_target=1G<br />#下面的方法用于临时调整tempfs的大小，重启后失效<br />#即将tempfs的大小调整到1200M，inode数量调整到1000000，此时大约可可存放一百万个小文件<br />[root@linux1 ~]# mount -o size=1200M -o nr_inodes=1000000 -o noatime,nodiratime -o remount /dev/shm<br />[root@linux1 ~]# df -h | grep shm<br />tmpfs                 1.2G  154M  1.1G  13% /dev/shm<br />[root@linux1 ~]# su - oracle<br />[oracle@linux1 ~]$ export ORACLE_SID=catadb<br />[oracle@linux1 ~]$ sqlplus / as sysdba</p>
<p>SQL*Plus: Release 11.2.0.1.0 Production on Thu Nov 14 12:04:02 2013</p>
<p>Copyright (c) 1982, 2009, Oracle.  All rights reserved.</p>
<p>Connected to an idle instance.</p>
<p>idle&gt; startup nomount;<br />ORACLE instance started.</p>
<p>Total System Global Area 1071333376 bytes<br />Fixed Size                  1341312 bytes<br />Variable Size             620759168 bytes<br />Database Buffers          444596224 bytes<br />Redo Buffers                4636672 bytes</p>
<p># Author : Leshami<br />#  Blog  : <a href="http://blog.csdn.net/leshami" rel="external nofollow noreferrer">http://blog.csdn.net/leshami</a></p>
<p>#永久增加tempfs的大小，直接修改/etc/fstab<br />vi /etc/fstab<br />tmpfs /dev/shm tmpfs defaults,size=2048M 0 0<br />修改之后remount<br />mount -o remount /dev/shm</p>
<p> </p>
<p>4、Doc ID 1399209.1<br />Starting with Oracle Database 11g, the Automatic Memory Management feature requires more shared memory (/dev/shm) and file descriptors. The size of the shared memory must be at least the greater of the MEMORY_MAX_TARGET and MEMORY_TARGET parameters for each Oracle instance on the computer. If the MEMORY_MAX_TARGET parameter or the MEMORY_TARGET parameter is set to a nonzero value, and an incorrect size is assigned to the shared memory, it results in an ORA-00845 error at startup. <br />On Linux systems, if the operating system /dev/shm mount size is too small for the Oracle system global area (SGA) and program global area (PGA), then you encounter the following error:</p>
<p>The cause of this error is an insufficient /dev/shm allocation. The total memory size of the SGA and PGA, which sets the initialization parameter MEMORY_TARGET or MEMORY_MAX_TARGET, cannot be greater than the shared memory file system (/dev/shm) on your operating system.</p>
<p> </p>
<p><a href="http://wp.qq.com/wpa/qunwpa?idkey=63ed41c9a94b48ebc4d3d956537065ba6d18a649c353b09bfdac284518b7b8d8" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcHViLmlkcXFpbWcuY29tL3dwYS9pbWFnZXMvZ3JvdXAucG5n.jpg"></a>    <a href="http://wp.qq.com/wpa/qunwpa?idkey=9ece469d99da670d85e1576013677151012787a7bfc26894598e61853d487917" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcHViLmlkcXFpbWcuY29tL3dwYS9pbWFnZXMvZ3JvdXAucG5n.jpg"></a></p>
<p>更多参考</p>
<p>有关Oracle RAC请参考<br />     <a href="http://blog.csdn.net/robinson_0612/article/details/8219242" rel="external nofollow noreferrer">使用crs_setperm修改RAC资源的所有者及权限</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8192571" rel="external nofollow noreferrer">使用crs_profile管理RAC资源配置文件</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8129506" rel="external nofollow noreferrer">RAC 数据库的启动与关闭</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8124232" rel="external nofollow noreferrer">再说 Oracle RAC services</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8089812" rel="external nofollow noreferrer">Services in Oracle Database 10g</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8090095" rel="external nofollow noreferrer">Migrate datbase from single instance to Oracle RAC</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8073620" rel="external nofollow noreferrer">Oracle RAC 连接到指定实例</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8072367" rel="external nofollow noreferrer">Oracle RAC 负载均衡测试(结合服务器端与客户端)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8064599" rel="external nofollow noreferrer">Oracle RAC 服务器端连接负载均衡(Load Balance)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8060634" rel="external nofollow noreferrer">Oracle RAC 客户端连接负载均衡(Load Balance)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8053007" rel="external nofollow noreferrer">ORACLE RAC 下非缺省端口监听配置(listener.ora tnsnames.ora)</a> <br />     <a href="http://blog.csdn.net/robinson_0612/article/details/8020800" rel="external nofollow noreferrer">ORACLE RAC 监听配置 (listener.ora tnsnames.ora)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6791667" rel="external nofollow noreferrer">配置 RAC 负载均衡与故障转移</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/7926241" rel="external nofollow noreferrer">CRS-1006 , CRS-0215 故障一例</a> <br />     <a href="http://blog.csdn.net/robinson_0612/article/details/7906282" rel="external nofollow noreferrer">基于Linux (RHEL 5.5) 安装Oracle 10g RAC</a> <br />     <a href="http://blog.csdn.net/robinson_0612/article/details/6533094" rel="external nofollow noreferrer">使用 runcluvfy 校验Oracle RAC安装环境</a></p>
<p>有关Oracle 网络配置相关基础以及概念性的问题请参考：<br />     <a href="http://blog.csdn.net/robinson_0612/article/details/5925526" rel="external nofollow noreferrer">配置非默认端口的动态服务注册</a> <br />     <a href="http://blog.csdn.net/robinson_0612/article/details/6629141" rel="external nofollow noreferrer">配置sqlnet.ora限制IP访问Oracle</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6629043" rel="external nofollow noreferrer">Oracle 监听器日志配置与管理</a> <br />     <a href="http://blog.csdn.net/robinson_0612/article/details/6629249" rel="external nofollow noreferrer">设置 Oracle 监听器密码(LISTENER)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5917103" rel="external nofollow noreferrer">配置ORACLE 客户端连接到数据库</a></p>
<p>有关基于用户管理的备份和备份恢复的概念请参考<br />     <a href="http://blog.csdn.net/robinson_0612/article/details/5791597" rel="external nofollow noreferrer">Oracle 冷备份</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5816012" rel="external nofollow noreferrer">Oracle 热备份</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5791585" rel="external nofollow noreferrer">Oracle 备份恢复概念</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5768233" rel="external nofollow noreferrer">Oracle 实例恢复</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6041217" rel="external nofollow noreferrer">Oracle 基于用户管理恢复的处理</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6041207" rel="external nofollow noreferrer">SYSTEM 表空间管理及备份恢复</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5810732" rel="external nofollow noreferrer">SYSAUX表空间管理及恢复</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/7962187" rel="external nofollow noreferrer">Oracle 基于备份控制文件的恢复(unsing backup controlfile)</a></p>
<p>有关RMAN的备份恢复与管理请参考<br />     <a href="http://blog.csdn.net/robinson_0612/article/details/6032525" rel="external nofollow noreferrer">RMAN 概述及其体系结构</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6032597" rel="external nofollow noreferrer">RMAN 配置、监控与管理</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6032739" rel="external nofollow noreferrer">RMAN 备份详解</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6041247" rel="external nofollow noreferrer">RMAN 还原与恢复</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6043649" rel="external nofollow noreferrer">RMAN catalog 的创建和使用</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6073020" rel="external nofollow noreferrer">基于catalog 创建RMAN存储脚本</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6073069" rel="external nofollow noreferrer">基于catalog 的RMAN 备份与恢复</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6414338" rel="external nofollow noreferrer">RMAN 备份路径困惑</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6639064" rel="external nofollow noreferrer">使用RMAN实现异机备份恢复(WIN平台)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6453954" rel="external nofollow noreferrer">使用RMAN迁移文件系统数据库到ASM</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8029245" rel="external nofollow noreferrer">linux 下RMAN备份shell脚本</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8076841" rel="external nofollow noreferrer">使用RMAN迁移数据库到异机</a></p>
<p>有关ORACLE体系结构请参考<br />     <a href="http://blog.csdn.net/robinson_0612/article/details/5611738" rel="external nofollow noreferrer">Oracle 表空间与数据文件</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5611672" rel="external nofollow noreferrer">Oracle 密码文件</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5559174" rel="external nofollow noreferrer">Oracle 参数文件</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5749556" rel="external nofollow noreferrer">Oracle 联机重做日志文件(ONLINE LOG FILE)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5737527" rel="external nofollow noreferrer">Oracle 控制文件(CONTROLFILE)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5784713" rel="external nofollow noreferrer">Oracle 归档日志</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5731158" rel="external nofollow noreferrer">Oracle 回滚(ROLLBACK)和撤销(UNDO)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5542983" rel="external nofollow noreferrer">Oracle 数据库实例启动关闭过程</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5534832" rel="external nofollow noreferrer">Oracle 10g SGA 的自动化管理</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5529239" rel="external nofollow noreferrer">Oracle 实例和Oracle数据库(Oracle体系结构)</a> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 16:27:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/%e8%b4%9f%e8%bd%bd%e5%9d%87%e8%a1%a1/" title="负载均衡">负载均衡</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/rac/" title="RAC">RAC</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e7%a9%ba%e9%97%b4/" title="表空间">表空间</a>, <a href="https://www.iamivan.net/tag/rman/" title="rman">rman</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ORA-000845 与 /dev/shm(tempfs)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo75REb.html" rel="bookmark">linux下&sol;dev&sol;shm的大小引发ORA-00845&colon; MEMORY&lowbar;TARGET not supported on this system 2015-06-16 08&colon;55&colon;50</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux操作系统,oracle 11.2.0.4 启动实例时出现如下错误: SQL&gt; startup nomount pfile=/u03/app/oracle/11.2.0/db/dbs/initcssb.ora ORA-00845: MEMORY_TARGET not supported on this system 查看错误帮助信息 [oracle11@oracle11g dbs]$ oerr ora 845 00845, 00000, &quot;MEMORY_TARGET not sup			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNDRlb.html" rel="bookmark">Linux内存文件系统tmpfs&lpar;&sol;dev&sol;shm&rpar;详细介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  一./dev/shm理论 默认的Linux发行版中的内核配置都会开启tmpfs,映射到了/dev/下的shm目录.可以通过df 命令查看结果. /dev/shm/是linux下一个非常有用的目录,因为这个目录不在硬盘上,而是在内存里.因此在linux下,就不需要大费周折去建ramdisk,直接使用/dev/shm/就可达到很好的优化效果.默认系统就会加载/dev/shm ,它就是所谓的tmpfs,有人说跟ramdisk(虚拟磁盘),但不一样.象虚拟磁盘一样,tmpfs 可以使用您的 RAM,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0R1O0z.html" rel="bookmark">&sol;dev&sol;shm（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引用网上:/dev/shm首先可以看出来/dev/shm是一个设备文件, 可以把/dev/shm看作是系统内存的入口, 可以把它看做是一块物理存储设备,一个tmp filesystem, 你可以通过这个设备向内存中读写文件, 以加快某些I/O高的操作,比如对一个大型文件频繁的open, write, read,据说oracle就利用了/dev/shm(shitou没用过oracle), 可以通过mount命令列出当前的/dev/shm的挂载的文件系统, 你可以直接对/dev/shm进行读写操作,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RXJqb.html" rel="bookmark">&sol;dev&sol;shm</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/dev/shm理论 /dev/shm/是linux下一个非常有用的目录,因为这个目录不在硬盘上,而是在内存里.因此在linux下,就不需要大费周折去建ramdisk,直接使用/dev/shm/就可达到很好的优化效果. /dev /shm/需要注意的一个是容量问题,在linux下,它默认最大为内存的一半大小,使用df -h命令可以看到.但它并不会真正的占用这块内存,如果/dev/shm/下没有任何文件,它占用的内存实际上就是0字节:如果它最大为1G,里头放有 100M文件,那剩余的900M仍然可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkeoZrb.html" rel="bookmark">巧用linux云服务器下的的&sol;dev&sol;shm&sol;，避开磁盘IO不给力&excl;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				巧用linux云服务器下的的/dev/shm/,避开磁盘IO不给力! 一．什么是tmpfs和/dev/shm/?  tmpfs是Linux/Unix系统上的一种基于内存的文件系统.tmpfs可以使用您的内存或swap分区来存储文件.由此可见,tmpfs主要存储暂存的文件.它有如下2个优势: 1)动态文件系统的大小.  2)tmpfs 的另一个主要的好处是它闪电般的速度.因为典型的 tmpfs 文件系统会完全驻留在内存 RAM 中,读写几乎可以是瞬间的.  同时它也有一个缺点  tmpfs 数据在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bodoR3M.html" rel="bookmark">tmpfs（&sol;dev&sol;shm）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  tmpfs是一种基于内存的文件系统,它和虚拟磁盘ramdisk比较类似像,但不完全相同,和ramdisk一样,tmpfs可以使用RAM,但它也可以使用swap分区来存储.而且传统的ramdisk是个块设备,要用mkfs来格式化它,才能真正地使用它:而tmpfs是一个文件系统,并不是块设备,只是安装它,就可以使用了.tmpfs是最好的基于RAM的文件系统.   巧用linux服务器的/dev/shm/,如果合理使用,可以避开磁盘IO不给力,提高网站访问速度. 首先让我们认识一下,什么是tmpf			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVDPOVM.html" rel="bookmark">linux服务器&sol;dev&sol;shm&sol;的使用详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先让我们认识一下,什么是tmpfs和/dev/shm/? tmpfs是Linux/Unix系统上的一种基于内存的文件系统.tmpfs可以使用您的内存或swap分区来存储文件.由此可见,tmpfs主要存储暂存的文件.它有如下2个优势 : 1. 动态文件系统的大小. 2. tmpfs 的另一个主要的好处是它闪电般的速度.因为典型的 tmpfs 文件系统会完全驻留在内存 RAM 中,读写几乎可以是瞬间的. 同时它也有一个缺点  tmpfs 数据在重新启动之后不会保留,因为虚拟内存本质上就是易失的.所			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgJ7R6b.html" rel="bookmark">Linux系统目录&sol;dev&sol;shm</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux文件系统中有一目录为:/dev/shm,其中dev为device(设备)的缩写,shm为shared memory. 可以把/dev/shm看作是系统内存的入口, 可以把它看做是一块物理存储设备,该目录映射的不是磁盘,而是内存. 挂载在/dev/shm上的文件系统为tmpfs,temp file system,临时文件系统之意. linux下/dev/shm的容量默认最大为内存的一半大小.但它并不会真正的占用这块内存,如果/dev/shm/下没有任何文件,它占用的内存实际上就是0字节.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MymnwkM.html" rel="bookmark">修改&sol;dev&sol;shm的大小</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				修改/dev/shm的大小   修改/etc/fstab的这行: 默认的:tmpfs /dev/shm tmpfs defaults 0 0改成:tmpfs /dev/shm tmpfs defaults,size=10G 0 0size参数也可以用G作单位:size＝1G.重新mount /dev/shm使之生效:# mount -o remount /dev/shm马上可以用&quot;df -h&quot;命令检查变化.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDWyWp.html" rel="bookmark" class="title">兴业宝和余额宝哪个好</a>
					<div>
						  &quot;兴业宝&quot;背后对接的是大成现金增利货币基金.根据大成基金官网数据,在4月10日登陆兴业银行直销银行之前,大成现金增利货币基金的7日年化收益率仅在3%左右,万份收益也仅1.5元左 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEK9np.html" rel="bookmark" class="title">巧用photoshop打造冰雪奇缘的海报特效效果</a>
					<div>
						  巧用photoshop打造冰雪奇缘的海报特效效果,效果让人有一种COOL的感觉,整个教程简单粗暴,耐心跟着一步步的学习就可以完成,举一反三 主题曲&quot;&gt; 分类: PS图片处理					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx6Pmz.html" rel="bookmark" class="title">&amp;amp&semi;&num;106avascript实现仿新浪信息提示效果</a>
					<div>
						新浪 以下是引用片段:&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpm4YqM.html" rel="bookmark" class="title">让网站活起来&lpar;1&rpar;</a>
					<div>
						和用户对话       你可以制作一个像SendUserInfo.htm似的网页,只用把&lt;form method=&quot;POST&quot; action=&quot;--WEBBOT-S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boyYDp.html" rel="bookmark" class="title">外链：史上最全的外链讲解</a>
					<div>
						小插曲:为了这位游客的留言而写的文章(luoli希望你能看到) 4.luoli 我也觉得这篇文章写的一般般,怎么就发布出来呢? 外链建设不一定都是指Black hat. 我先解释一下为什么那篇文章(排 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz74J4b.html" rel="bookmark" class="title">FLASH大头贴 FLASH部分源程序解析</a>
					<div>
						程序 原来有几个前辈贴过了一些关于这个技术的代码,有JAVA的,也有FLASH COM的.现在我把FLASH部分通过摄象头获得图象信息的代码贴出来.供大家参考.      这段代码是我参考了别人的代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaGP2p.html" rel="bookmark" class="title">百度快照遭遇更新难题 快速恢复仅需四种方法浅析</a>
					<div>
						网站的百度快照能够给带来一些非常重要的信息,如果快照更新的越快,说明网站的权重越高,每天百度的蜘蛛来到你网站的次数就越多,如果百度快照更新慢,或者不更新,那说明该网站的质量急需要提升,而且还要加快网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEdWob.html" rel="bookmark" class="title">在Word 2007表格中选中单元格</a>
					<div>
						选中特定单元格是Word2007表格的基本操作,在设置单元格格式等操作时首 先需要选中单元格.在Word2007中选中单元格的方法如下所述: 打开Word2007文档窗口,将鼠标指针移动到准备选中的单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOw8Y8z.html" rel="bookmark" class="title">PS利用滤镜把模糊图片变清晰</a>
					<div>
						  PS利用滤镜把模糊图片变清晰             原图 图01 最终效果 图02 1.打开素材图片,我们观察一下人物脸部区域,五官等都比较模糊. 图03 2.按Ctrl + J 把背景图层复制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLPwGb.html" rel="bookmark" class="title">Win8&period;1系统网速慢怎么办？</a>
					<div>
						  Win8.1系统网速慢怎么办?          一.关闭应用自动更新 1.在系统中找到应用商店. 2.在&quot;应用更新&quot;界面,把自动更新设置为否. 当然,由于不能自动更新,大家需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Pr2AM.html" rel="bookmark" class="title">PS快速制作笔刷教程</a>
					<div>
						制作出的笔刷如下图: 从一张照片开始 首先我们需要一张高分辨率的照片,最好是某个纹理照片,因为对笔刷来说,肯定是纹理照片要好过风景或人像.原因显而易见.你看到的下面这张照片就是我用我自己的尼康d90拍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6yrAb.html" rel="bookmark" class="title">傲游浏览器如何设置分屏</a>
					<div>
						  首先下载安装最新的傲游云浏览器,并且打开浏览器,进入界面 点右边的三条杠.进入新的菜单. 在界面后点击分屏的小图标 这样就可以打开分屏功能了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo74Ljb.html" rel="bookmark" class="title">显卡安装指南</a>
					<div>
						  安装指南: 显卡的安装过程稍有差异,主要取决于是否替换现有显卡或是否首次在PC中安装显卡. 1.替换现有显卡 如果要替换现有显卡,需要进行如下操作: A.启动计算机,然后卸载旧显卡驱动程序. B. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwV4jp.html" rel="bookmark" class="title">Spring Boot中集成Spring Security  专题</a>
					<div>
						if语句中条件判断就是检查当前的url请求是否是logout-url的配置值,接下来,获取用户的authentication,并循环调用处理器链中各个处理器的logout()函数,前面在parse阶段 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2GEnb.html" rel="bookmark" class="title">android-当从grid view中点击时如何显示指定图像？</a>
					<div>
						问题描述 当从grid view中点击时如何显示指定图像? 我使用一个grid view在程序中显示一些图像: &lt;?xml version=&quot;1.0&quot; encoding=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NLymz.html" rel="bookmark" class="title">苹果匠艺：乔布斯身边的天才</a>
					<div>
						现在电脑几乎可以帮助我们完成所有工作,而这一切与当年乔布斯带领苹果团队掀开个人电脑新篇章密不可分,之后鼠标.键盘.图标.电脑游戏.文本编辑.音乐播放器等,一个个从这些早期工程师神奇的脑壳中跃出,一次次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQroaQM.html" rel="bookmark" class="title">ajax-如何不通过&amp;amp&semi;amp&semi;lt&semi;form&amp;amp&semi;amp&semi;gt&semi;方式提交数据，同时又刷新整个页面</a>
					<div>
						问题描述 如何不通过&lt;form&gt;方式提交数据,同时又刷新整个页面 &lt;form method=&quot;post&quot; action=&quot;test.php&quot;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QE17p.html" rel="bookmark" class="title">WCF 传输数据超时</a>
					<div>
						问题描述 我现在通过WCFstremed方式传输入pdf文件,客户要求传输500M大小,如果WCF和web程序部署在同一台服务器上,可以成功,但是如果我把web程序部署到另一台服务器,wcf不动,每次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Q1vJp.html" rel="bookmark" class="title">Dynamics 4&period;0 升级问题</a>
					<div>
						问题描述 已经在Dynamics3.0上开发的定制部分,如何升级到4.0?官方网页上介绍不能用导入导出,仅仅是页面部分,新手请帮助. 解决方案 解决方案二:这个是什么啊					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDx1Kz.html" rel="bookmark" class="title">shr&colon; 6月1日的禁塑料袋，地域性网站一个媒介点</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 首先我想说的2点: 第一我比较关注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZBmnz.html" rel="bookmark" class="title">火车票开始发售，售票网站12306再次迎来抢票高峰</a>
					<div>
						9月11日晚间消息,国庆长假期间火车票明日正式开始发售,售票网站12306再次迎来抢票高峰.但由于12306今天突然调整网页源代码,对各大抢票浏览器进行了屏蔽,各大浏览器的抢票功能一度失效. 目前火车 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r3VWz.html" rel="bookmark" class="title">管理网络符合国际通行做法</a>
					<div>
						□晚报综合报道 全球搜索引擎巨头谷歌公司12日表示将对其中国网站的搜索结果停止自查并威胁退出 中国市场,此言一出立即引起外界的强烈关注.中国外交部发言人姜瑜14日表示,中国有关互联网管理措施符合国际通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJ5GOp.html" rel="bookmark" class="title">Google和Yahoo最新技术介绍与搜索引擎优化</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 图为:Searchwise总裁Chris Sherman 5月25日至26日,全球搜索引擎战略大会在厦门召开,大会以搜索引擎营销和搜索引擎优化为主题,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5xDOp.html" rel="bookmark" class="title">gdal for android乱码怎么解决</a>
					<div>
						问题描述 gdal for android乱码怎么解决 gdal for android 生成shapefile,乱码怎么解决,java jni能通过,手机版就是不能通过,请叫各位大神 解决方案 Ar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RxYWz.html" rel="bookmark" class="title">summernote编辑器的高度变化</a>
					<div>
						问题描述 summernote编辑器的高度变化 想改变编辑器的高度,百度直接初始化的时候设置,但是无变化,望高手指教,小弟在这多谢了,(这是效果,还是很小)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkA50p.html" rel="bookmark" class="title">谷歌开发者大会前瞻：聚焦可穿戴、汽车等</a>
					<div>
						北京时间6月23日消息,谷歌开发者大会Google I/O将于本周开幕.&lt;华尔街日报&gt;网络版上周日发表前瞻文章称,和苹果开发者大会关注手机和平板电脑系统不同,Google I/O将聚焦电视 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYL1ab.html" rel="bookmark" class="title">ajax跨域调用webservice的实现代码&lowbar;javascript技巧</a>
					<div>
						最近ajax访问webservice遇到跨域的问题,网上搜索资料,总结如下(很多都是觉得人家总结不错的复制下来) &lt;&lt;用JSON来传数据,靠JSONP来跨域&gt;&gt; 先上我的已实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NX8jp.html" rel="bookmark" class="title">学习CSS优化的7项技巧</a>
					<div>
						一.使用css缩写 使用缩写可以帮助减少你CSS文件的大小,更加容易阅读.css缩写的主要规则请参看&lt;常用css缩写语法总结&gt;,这里就不展开描述. 二.明确定义单位,除非值为0 忘记定义尺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2xvqz.html" rel="bookmark" class="title">jQuery的load&lpar;&rpar;方法及其回调函数用法实例&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery的load()方法及其回调函数用法.分享给大家供大家参考.具体如下: 下面的js代码演示了jQuery的load()方法的使用,并演示了带回调函数(callback)的loa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV744nb.html" rel="bookmark" class="title">源码管理</a>
					<div>
						问题描述 刚接触.一个解决方案包括几个工程.有很多目录.文件.现在要用VSS管理,请问哪些是需要管理的,哪些是自动生成,不用上传到VSS服务器的.如:binobjProperties.cd.sln.s ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
